{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/objects/bdb",
  "title": "BDB object",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/",
  "summary": "An object that represents a database",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-07-21T11:19:25-05:00",
  "children": [
    {
      "id": "operate/rs/references/rest-api/objects/bdb/audit_settings",
      "summary": "",
      "title": "",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/audit_settings/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/backup_location",
      "summary": "Documents the bdb backup_location/export_location object used with Redis Enterprise Software REST API calls.",
      "title": "BDB backup/export location object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/backup_location/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/dataset_import_sources",
      "summary": "Documents the bdb dataset_import_sources object used with Redis Software REST API calls.",
      "title": "BDB dataset import sources object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/dataset_import_sources/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/probabilistic",
      "summary": "Configuration object for probabilistic data structures",
      "title": "Probabilistic data structures configuration object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/probabilistic/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/query_performance_factor",
      "summary": "Configuration object for query performance factor",
      "title": "Query performance factor object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/query_performance_factor/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/replica_sources_status",
      "summary": "Documents the bdb replica_sources status field used with Redis Software REST API calls.",
      "title": "BDB replica sources status field",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/replica_sources_status/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/replica_sync",
      "summary": "Documents the bdb replica_sync field used with Redis Software REST API calls.",
      "title": "BDB replica sync field",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/replica_sync/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/search",
      "summary": "Configuration object for Redis Search.",
      "title": "Redis Search configuration object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/search/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/snapshot_policy",
      "summary": "Documents the snapshot_policy object used with Redis Software REST API calls.",
      "title": "Snapshot policy object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/snapshot_policy/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/status",
      "summary": "Documents the bdb status field used with Redis Software REST API calls.",
      "title": "BDB status field",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/status/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/syncer_sources",
      "summary": "Documents the syncer_sources object used with Redis Software REST API calls.",
      "title": "Syncer sources object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/syncer_sources/"
    },
    {
      "id": "operate/rs/references/rest-api/objects/bdb/timeseries",
      "summary": "Configuration object timeseries.",
      "title": "Timeseries configuration object",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/timeseries/"
    }
  ],
  "page_type": "content",
  "content_hash": "2f9f52c7d09510cd7341adc293dfa07ac17fc0bf1584512dbd58739f30d20d9f",
  "sections": [
    {
      "id": "content",
      "title": "Content",
      "role": "content",
      "text": "An API object that represents a managed database in the cluster.\n\n| Name | Type/Value & Description |\n|------|-------------------------|\n| uid | integer; Cluster unique ID of database. Can be set during creation but cannot be updated. |\n| account_id | integer; SM account ID |\n| action_uid | string; Currently running action's UID (read-only) |\n| active_defrag_cycle_max | integer, (range: 1-99); Maximum CPU percentage used for defragmentation when the upper threshold is reached |\n| active_defrag_cycle_min | integer, (range: 1-99) (default: 1); Minimal CPU percentage used for defragmentation when the lower threshold is reached |\n| active_defrag_ignore_bytes | string (default: 100mb); Minimum amount of fragmentation waste to start active defragmentation |\n| active_defrag_max_scan_fields | integer (default: 1000); Maximum number of set/hash/zset/list fields that will be processed from the main dictionary scan |\n| active_defrag_threshold_lower | integer, (range: 0-1000) (default: 10); Minimum percentage of fragmentation to start active defragmentation |\n| active_defrag_threshold_upper | integer, (range: 0-1000) (default: 100); Maximum percentage of fragmentation at which maximum effort is used |\n| activedefrag | Enable or turn off active defragmentation functionality.<br />Values:<br />'yes'<br />**'no'** |\n| aof_policy | Policy for Append-Only File data persistence<br />Values:<br />**'appendfsync-every-sec'** <br />'appendfsync-always' |\n| audit_settings | Complex object. Configures per-database connection and CRUD auditing mode, username/source-IP filtering, and key-byte capture limits. See [Audit database events](https://redis.io/docs/latest/operate/rs/security/audit-events). |\n| authentication_admin_pass | string; Password for administrative access to the BDB (used for SYNC from the BDB) |\n| authentication_redis_pass | string; Redis AUTH password authentication.  <br/>Use for Redis databases only.  Ignored for memcached databases. (deprecated as of Redis Software v7.2, replaced with multiple passwords feature in version 6.0.X) |\n| authentication_sasl_pass | string; Binary memcache SASL password |\n| authentication_sasl_uname | string; Binary memcache SASL username (pattern does not allow special characters &,\\<,>,\") |\n| authentication_ssl_client_certs | [{<br />  \"client_cert\": string<br />}, ...] List of authorized client certificates<br />**client_cert**: X.509 PEM (base64) encoded certificate |\n| authentication_ssl_crdt_certs | [{<br />  \"client_cert\": string<br />}, ...] List of authorized CRDT certificates<br />**client_cert**: X.509 PEM (base64) encoded certificate |\n| authorized_names | array of strings; Additional certified names (deprecated as of Redis Software v6.4.2; use authorized_subjects instead) |\n| authorized_subjects | [{<br />  \"CN\": string,<br />  \"O\": string,<br />  \"OU\": [array of strings],<br />  \"L\": string,<br />  \"ST\": string,<br />  \"C\": string<br />}, ...] A list of valid subjects used for additional certificate validations during TLS client authentication. All subject attributes are case-sensitive.<br />**Required subject fields**:<br />\"CN\" for Common Name<br />**Optional subject fields:**<br />\"O\" for Organization<br />\"OU\" for Organizational Unit (array of strings)<br />\"L\" for Locality (city)<br />\"ST\" for State/Province<br />\"C\" for 2-letter country code |\n| auto_shards_balancing | boolean (default: false); Automatically balance database shards. This field is for future use and should not be changed. |\n| <span class=\"break-all\">auto_shards_balancing_grace_period</span> | integer (default: 120); Time to wait before auto sharding is initiated. This field is for future use and should not be changed. |\n| auto_upgrade | boolean (default:&nbsp;false); Upgrade the database automatically after a cluster upgrade |\n| avoid_nodes | array of strings; Cluster node UIDs to avoid when placing the database's shards and binding its endpoints |\n| background_op | Deprecated as of Redis Software v7.8.2. Use [`GET /v1/actions/bdb/<bdb_uid>`](https://redis.io/docs/latest/operate/rs/references/rest-api/requests/actions/bdb) instead.<br />[{<br />  \"status\": string,<br />  \"name\": string,<br />  \"error\": object,<br />  \"progress\": number<br />}, ...] (read-only); **progress**: Percent of completed steps in current operation |\n| backup | boolean (default:&nbsp;false); Policy for periodic database backup |\n| backup_failure_reason | Reason of last failed backup process (read-only)<br />Values:<br />'no-permission'<br />'wrong-file-path'<br />'general-error' |\n| backup_history | integer (default:&nbsp;0); Backup history retention policy (number of days, 0 is forever) |\n| backup_interval | integer; Interval in seconds in which automatic backup will be initiated |\n| backup_interval_offset | integer; Offset (in seconds) from round backup interval when automatic backup will be initiated (should be less than backup_interval) |\n| backup_location | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/backup_location);  Target for automatic database backups. <br />Call `GET`&nbsp;`/jsonschema` to retrieve the object's structure. |\n| backup_progress | number, <nobr>(range: 0-100)</nobr>;  Database scheduled periodic backup progress (percentage) (read-only) |\n| backup_status | Status of scheduled periodic backup process (read-only)<br />Values:<br />'exporting'<br />'succeeded'<br />'failed' |\n| bigstore | boolean (default:&nbsp;false);  Database bigstore option |\n| bigstore_ram_size | integer (default:&nbsp;0);  Memory size of bigstore RAM part. |\n| bigstore_ram_weights | [{<br />  \"shard_uid\": integer,<br />  \"weight\": number<br />}, ...] List of shard UIDs and their bigstore RAM weights;<br /> **shard_uid**: Shard UID;<br /> **weight**: Relative weight of RAM distribution |\n| bigstore_version | The database's `bigstore_version`:<br />• `1` for Auto Tiering (Redis on Flash version 1). Default version.<br/>• `2` for Redis Flex (Redis on Flash version 2) on databases that support it. Can only be used with the `speedb` driver.<br /><br />You can only choose the `bigstore_version` for databases with Redis version 7.4. Database versions earlier than 7.4 use `bigstore_version` `1`. Database versions 8.0 and later use `bigstore_version` `2`. |\n| client_cert_subject_validation_type | Enables additional certificate validations that further limit connections to clients with valid certificates during TLS client authentication.<br />Values:<br />**disabled**: Authenticates clients with valid certificates. No additional validations are enforced.<br />**san_cn**: A client certificate is valid only if its Common Name (CN) matches an entry in the list of valid subjects. Ignores other Subject attributes.<br />**full_subject**: A client certificate is valid only if its Subject attributes match an entry in the list of valid subjects. |\n| conns | integer (default&nbsp;5);  Number of internal proxy connections |\n| <span class=\"break-all\">conns_global_maximum_dedicated</span> | integer (default: 0); Defines the maximum number of dedicated server connections for a given database. The total number across all workers. The default is 0 for unlimited. |\n| conns_minimum_dedicated | integer (default:&nbsp;2); Number of dedicated server connections the DMC has per worker per shard |\n| conns_type | Connections limit type<br />Values:<br />**‘per-thread’**<br />‘per-shard’ |\n| crdt | boolean (default:&nbsp;false);  Use CRDT-based data types for multi-master replication |\n| crdt_causal_consistency | boolean (default:&nbsp;false);  Causal consistent CRDB. |\n| crdt_config_version | integer;  Replica-set configuration version, for internal use only. |\n| crdt_featureset_version | integer;  CRDB active FeatureSet version |\n| crdt_ghost_replica_ids | string;  Removed replicas IDs, for internal use only. |\n| crdt_guid | string;  GUID of CRDB this database belongs to, for internal use only. |\n| crdt_modules | string;  CRDB modules information. The string representation of a JSON list, containing hashmaps. |\n| crdt_protocol_version | integer;  CRDB active Protocol version |\n| crdt_repl_backlog_size | string;  Active-Active replication backlog size ('auto' or size in bytes) |\n| crdt_replica_id | integer;  Local replica ID, for internal use only. |\n| crdt_replicas | string;  Replica set configuration, for internal use only. |\n| crdt_sources | array of [syncer_sources](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/syncer_sources) objects; Remote endpoints/peers of CRDB database to sync from. See the 'bdb -\\> replica_sources' section |\n| crdt_sync | Enable, disable, or pause syncing from specified crdt_sources. Applicable only for Active-Active databases. See [replica_sync](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/replica_sync) for more details.<br />Values:<br />'enabled'<br /> **'disabled'** <br />'paused'<br />'stopped' |\n| <span class=\"break-all\">crdt_sync_connection_alarm_timeout_seconds</span> | integer (default: 0); If the syncer takes longer than the specified number of seconds to connect to an Active-Active database, raise a connection alarm |\n| crdt_sync_dist | boolean;  Enable/disable distributed syncer in master-master |\n| crdt_syncer_auto_oom_unlatch | boolean (default:&nbsp;true);  Syncer automatically attempts to recover synchronisation from peers after this database throws an Out-Of-Memory error. Otherwise, the syncer exits |\n| crdt_xadd_id_uniqueness_mode | XADD strict ID uniqueness mode. CRDT only.<br />Values:<br />‘liberal’<br />**‘strict’**<br />‘semi-strict’ |\n| created_time | string;  The date and time the database was created (read-only) |\n| data_internode_encryption | boolean;  Should the data plane internode communication for this database be encrypted |\n| data_persistence | Database on-disk persistence policy. For snapshot persistence, a [snapshot_policy](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/snapshot_policy) must be provided<br />Values:<br />**'disabled'** <br />'snapshot'<br />'aof' |\n| dataset_import_sources | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/dataset_import_sources);  Array of source file location description objects to import from when performing an import action. This is write-only and cannot be read after set. <br />Call `GET /v1/jsonschema` to retrieve the object's structure. |\n| db_conns_auditing | boolean; deprecated as of Redis Software 8.2.0; use `audit_settings.audit_mode` instead. Enables/deactivates [database connection auditing](https://redis.io/docs/latest/operate/rs/security/audit-events) |\n| default_user | boolean (default:&nbsp;true); Allow/disallow a default user to connect |\n| disabled_commands | string (default: ); Redis commands which are disabled in db |\n| <span class=\"break-all\">disconnect_clients_on_password_removal</span> | boolean (default: false); Controls whether client connections using removed, revoked, or rotated passwords are actively disconnected |\n| dns_address_master | string;  Database private address endpoint FQDN (read-only) (deprecated as of Redis Software v4.3.3) |\n| email_alerts | boolean (default:&nbsp;false);  Send email alerts for this DB |\n| endpoint | string;  Latest bound endpoint. Used when reconfiguring an endpoint via update |\n| endpoint_ip | complex object;  External IP addresses of node hosting the BDB's endpoint. `GET`&nbsp;`/jsonschema` to retrieve the object's structure. (read-only) (deprecated as of Redis Software v4.3.3) |\n| endpoint_node | integer;  Node UID hosting the BDB's endpoint (read-only) (deprecated as of Redis Software v4.3.3) |\n| endpoints | array; List of database access endpoints (read-only)<br />**uid**: Unique identification of this source<br />**dns_name**: Endpoint’s DNS name<br />**port**: Endpoint’s TCP port number<br />**addr**: Endpoint’s accessible addresses<br />**proxy_policy**: The policy used for proxy binding to the endpoint<br />**exclude_proxies**: List of proxies to exclude<br />**include_proxies**: List of proxies to include<br />**addr_type**: Indicates if the endpoint is based on internal or external IPs<br /><span class=\"break-all\">**oss_cluster_api_preferred_ip_type**</span>: Indicates preferred IP type in the OSS cluster API: internal/external<br /><span class=\"break-all\">**oss_cluster_api_preferred_endpoint_type**</span>: Indicates preferred endpoint type in the OSS cluster API: ip/hostname |\n| enforce_client_authentication | Require authentication of client certificates for SSL connections to the database. If set to 'enabled', a certificate should be provided in either authentication_ssl_client_certs or authentication_ssl_crdt_certs<br />Values:<br />**'enabled'** <br />'disabled' |\n| eviction_policy | Database eviction policy (Redis style).<br />Values:<br />'volatile-lru'<br />'volatile-ttl'<br />'volatile-random'<br />'allkeys-lru'<br />'allkeys-random'<br />'noeviction'<br />'volatile-lfu'<br />'allkeys-lfu'<br />'allkeys-lrm'<br />'volatile-lrm'<br />**Redis DB default**: 'volatile-lru'<br />**memcached DB default**: 'allkeys-lru' |\n| export_failure_reason | Reason of last failed export process (read-only)<br />Values:<br />'no-permission'<br />'wrong-file-path'<br /> 'general-error' |\n| export_progress | number, <nobr>(range: 0-100)</nobr>; Database manually triggered export progress (percentage) (read-only) |\n| export_status | Status of manually triggered export process (read-only)<br />Values:<br />'exporting'<br />'succeeded'<br />'failed' |\n| generate_text_monitor | boolean;  Enable/disable generation of syncer monitoring information |\n| gradual_src_max_sources | integer (default:&nbsp;1); Sync a maximum N sources in parallel (gradual_src_mode should be enabled for this to take effect) |\n| gradual_src_mode | Indicates if gradual sync (of sync sources) should be activated<br />Values:<br />'enabled'<br />'disabled' |\n| gradual_sync_max_shards_per_source | integer (default:&nbsp;1); Sync a maximum of N shards per source in parallel (gradual_sync_mode should be enabled for this to take effect) |\n| gradual_sync_mode | Indicates if gradual sync (of source shards) should be activated ('auto' for automatic decision)<br />Values:<br />'enabled'<br />'disabled'<br />'auto' |\n| gradual_sync_policy | string (default: default); Managed gradual (parallel) full sync policy for replica synchronization. Non-custom policies own and normalize the limit fields in `gradual_sync_policy_parameters`.<br />Values:<br />'default'<br />'non-gradual'<br />'migration'<br />'replica'<br />'active-active'<br />'custom' |\n| <span class=\"break-all\">gradual_sync_policy_parameters</span> | object; Gradual full sync limits, applied when `gradual_sync_policy` is `custom`. Each limit accepts `-1` (no limit) or a positive integer; `0` is not valid. Includes `src_endpoint_limit` (default: 1), `dst_endpoint_limit`, `dst_shard_limit`, and `src_node_limit` (default: -1). |\n| hash_slots_policy | The policy used for hash slots handling<br />Values:<br/> **'legacy'**: slots range is '1-4096'<br /> **'16k'**: slots range is '0-16383' |\n| implicit_shard_key | boolean (default:&nbsp;false); Controls the behavior of what happens in case a key does not match any of the regex rules. <br /> **true**: if a key does not match any of the rules, the entire key will be used for the hashing function <br /> **false**: if a key does not match any of the rules, an error will be returned. |\n| import_failure_reason | Import failure reason (read-only)<br />Values:<br />'download-error'<br />'file-corrupted'<br />'general-error'<br />'file-larger-than-mem-limit:\\<n bytes of expected dataset>:\\<n bytes configured bdb limit>'<br />'key-too-long'<br />'invalid-bulk-length'<br />'out-of-memory' |\n| import_progress | number, <nobr>(range: 0-100)</nobr>; Database import progress (percentage) (read-only) |\n| import_status | Database import process status (read-only)<br />Values:<br />'idle'<br />'initializing'<br />'importing'<br />'succeeded'<br />'failed' |\n| internal | boolean (default:&nbsp;false); Is this a database used by the cluster internally |\n| last_backup_time | string; Time of last successful backup (read-only) |\n| last_changed_time | string; Last administrative configuration change (read-only) |\n| last_export_time | string; Time of last successful export (read-only) |\n| <span class=\"break-all\">link_sconn_on_full_request</span> | Feature-flag for DMC behaviour on linking client request<br />Values:<br />'enabled'<br />**'disabled'**<br />'ssl_only' |\n| max_aof_file_size | integer; Maximum size for shard's AOF file (bytes). Default 300GB, (on bigstore DB 150GB) |\n| max_aof_load_time | integer (default:&nbsp;3600); Maximum time shard's AOF reload should take (seconds). |\n| max_client_pipeline | integer (default:&nbsp;200); Maximum number of pipelined commands per connection. Maximum value is 2047. |\n| max_connections | integer (default:&nbsp;0); Maximum number of client connections allowed (0 unlimited) |\n| max_pipelined | integer (default:&nbsp;2000); Determines the maximum number of commands in the proxy’s pipeline per shard connection. |\n| maxclients | integer (default: 10000); The maximum number of connected clients at the same time. By default the limit is 10000 clients. |\n| master_persistence | boolean (default:&nbsp;false); If true, persists the primary shard in addition to replica shards in a replicated and persistent database. |\n| memory_size | integer (default:&nbsp;0); Database memory limit (0 is unlimited), expressed in bytes. |\n| metrics_export_all | boolean; Enable/disable exposing all shard metrics through the metrics exporter |\n| mkms | boolean (default:&nbsp;true); Are MKMS (Multi Key Multi Slots) commands supported? |\n| module_list | [{<br />  \"module_id\": string,<br />  \"module_args\": [<br />    u'string',<br />    u'null'],<br />  \"module_name\": string,<br />  \"semantic_version\": string<br />}, ...] List of modules associated with the database<br /><br />**module_id**: Module UID (deprecated; use `module_name` instead)<br />**module_args**: Module command-line arguments (deprecated; use the module objects for [search](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/search), [timeseries](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/timeseries), and [probabilistic](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/probabilistic) instead)<br />**module_name**: Module's name<br />**semantic_version**: Module's semantic version (deprecated; use `module_args` instead)<br /><br />**module_id** and **semantic_version** are optional as of Redis Software v7.4.2 and deprecated as of v7.8.2.<br />**module_args** is deprecated as of Redis Software v8.0. |\n| mtls_allow_outdated_certs | boolean; An optional mTLS relaxation flag for certs verification |\n| mtls_allow_weak_hashing | boolean; An optional mTLS relaxation flag for certs verification |\n| multi_commands_opt | If set to `batch`, it reduces the overhead of transaction management by batching multiple commands into a single transaction.<br />Values:<br />**disabled**: Turns off the optimization.<br />**batch**: Enables the optimization.<br />**auto**: Uses the [cluster's `multi_commands_opt` setting](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/cluster). |\n| name | string; Database name. Only letters, numbers, or hyphens are valid characters. The name must start and end with a letter or number. |\n| oss_cluster | boolean (default:&nbsp;false); OSS Cluster mode option. Cannot be enabled with `'hash_slots_policy': 'legacy'` |\n| <span class=\"break-all\">oss_cluster_api_preferred_endpoint_type</span> | Endpoint type in the OSS cluster API<br />Values:<br />**‘ip’**<br />‘hostname’ |\n| <span class=\"break-all\">oss_cluster_api_preferred_ip_type</span> | Internal/external IP type in OSS cluster API. Default value for new endpoints<br />Values:<br />**'internal'** <br />'external' |\n| oss_sharding | boolean (default: false); This flag is for future use and should not be changed |\n| <span class=\"break-all\">partial_request_timeout_seconds</span> | integer (default: 3); When a client connection sends a command, takes a server connection, and stops writing before the command is complete, it causes head-of-line blocking on this server connection. Such commands will time out after this many seconds and the client connection will be closed. |\n| port | integer; TCP port on which the database is available. Generated automatically if omitted and returned as 0 |\n| <span class=\"break-all\">preemptive_drain_timeout_seconds</span> | integer (default: 2); Timeout in seconds for preemptive drain of client connections before a shard is taken down |\n| probabilistic | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/probabilistic); Configuration fields for probabilistic data structures. |\n| proxy_policy | The default policy used for proxy binding to endpoints<br />Values:<br />'single'<br />'all-master-shards'<br />'all-nodes' |\n| query_performance_factor | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/query_performance_factor); Configures query performance factor and related fields |\n| rack_aware | boolean (default:&nbsp;false); Require the database to always replicate across multiple racks |\n| recovery_wait_time | integer (default:&nbsp;-1); Defines how many seconds to wait for the persistence file to become available during auto recovery. After the wait time expires, auto recovery completes with potential data loss. The default `-1` means to wait forever. |\n| redis_version | string; Version of the redis-server processes: e.g. 6.0, 5.0-big |\n| repl_backlog_size | string; Redis replication backlog size ('auto' or size in bytes) |\n| replica_read_only | boolean (default: false); If `true`, enables an Active-Passive setup where Replica Of databases only allow read operations. Only configurable during database creation and cannot be changed later. |\n| replica_sconns_on_demand | Reduces DMC internode connections by at least 50%, conserving sockets, file descriptors, and KEEPALIVE traffic.<br />Values:<br />**'enabled'** <br />'disabled' |\n| replica_sources | array of [syncer_sources](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/syncer_sources) objects; Remote endpoints of database to sync from. See the 'bdb -\\> replica_sources' section |\n| [replica_sync](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/replica_sync) | Enable, disable, or pause syncing from specified replica_sources<br />Values:<br />'enabled'<br /> **'disabled'** <br />'paused'<br />'stopped' |\n| <span class=\"break-all\">replica_sync_connection_alarm_timeout_seconds</span> | integer (default: 0); If the syncer takes longer than the specified number of seconds to connect to a replica, raise a connection alarm |\n| replica_sync_dist | boolean; Enable/disable distributed syncer in replica-of |\n| replication | boolean (default:&nbsp;false); In-memory database replication mode |\n| replication_oom_threshold_percent | integer, (range: 0-20) (default: 5); Reserved memory buffer percentage below `maxmemory` that blocks client writes while allowing Active-Active replication. CRDT only, requires Redis 8.4+. |\n| resp3 | boolean (default:&nbsp;true); Enables or deactivates RESP3 support |\n| roles_permissions | [{<br />  \"role_uid\": integer,<br />  \"redis_acl_uid\": integer<br />}, ...] |\n| sched_policy | Controls how server-side connections are used when forwarding traffic to shards.<br />Values:<br />**cmp**: Closest to max_pipelined policy. Pick the connection with the most pipelined commands that has not reached the max_pipelined limit.<br />**mru**: Try to use most recently used connections.<br />**spread**: Try to use all connections.<br />**mnp**: Minimal pipeline policy. Pick the connection with the least pipelined commands. |\n| search | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/search); Configuration fields for Redis Search. |\n| search_on_bigstore | boolean (default: false); Include search module in Redis on flash v2 (Flex databases) |\n| shard_block_crossslot_keys | boolean (default:&nbsp;false); In Lua scripts, prevent use of keys from different hash slots within the range owned by the current shard |\n| shard_block_foreign_keys | boolean (default:&nbsp;true); In Lua scripts, `foreign_keys` prevent use of keys which could reside in a different shard (foreign keys) |\n| shard_key_regex | Custom keyname-based sharding rules.<br />`[{\"regex\": string}, ...]`<br />To use the default rules you should set the value to: <br />`[{\"regex\": \".*\\\\{(?<tag>.*)\\\\}.*\"}, {\"regex\": \"(?<tag>.*)\"}]` |\n| <span class=\"break-all\">shard_imbalance_threshold</span> | number (default: 314572800); Automatically balances shards only if their imbalance is greater than this threshold. This field is for future use and should not be changed. |\n| <span class=\"break-all\">shard_imbalance_threshold_percentage</span> | integer (default: 20); Automatically balances shards only if their imbalance percentage is greater than this threshold. This field is for future use and should not be changed. |\n| shard_list | array of integers; Cluster unique IDs of all database shards. |\n| sharding | boolean (default: false); Cluster mode (server-side sharding). When true, shard hashing rules must be provided by `shard_key_regex` |\n| shards_count | integer, <nobr>(range: 1-512)</nobr> (default:&nbsp;1); Number of database server-side shards |\n| shards_placement | Control the density of shards <br />Values:<br />**'dense'**: Shards reside on as few nodes as possible <br /> **'sparse'**: Shards reside on as many nodes as possible |\n| skip_import_analyze | Enable/disable skipping the analysis stage when importing an RDB file<br />Values:<br />'enabled'<br />'disabled' |\n| slave_buffer | Redis replica output buffer limits<br />Values:<br />'auto'<br />value in MB<br />hard:soft:time |\n| slave_ha | boolean; Enable replica high availability mechanism for this database (default takes the cluster setting) |\n| slave_ha_priority | integer; Priority of the BDB in replica high availability mechanism |\n| snapshot_policy | array of [snapshot_policy](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/snapshot_policy) objects; Policy for snapshot-based data persistence. A dataset snapshot will be taken every N secs if there are at least M writes changes in the dataset |\n| ssl | boolean (default:&nbsp;false); Require SSL authenticated and encrypted connections to the database (deprecated as of Redis Software v5.0.1) |\n| [status](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/status) | Database lifecycle status (read-only)<br />Values:<br />'pending'<br />'active'<br />'active-change-pending'<br />'delete-pending'<br />'import-pending'<br />'creation-failed'<br />'recovery' |\n| support_syncer_reconf | boolean; Determines whether the syncer handles its own configuration changes. If false, the DMC restarts the syncer upon a configuration change. |\n| sync | (deprecated as of Redis Software v5.0.1, use [replica_sync](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/replica_sync) or crdt_sync instead) Enable, disable, or pause syncing from specified sync_sources<br />Values:<br />'enabled'<br /> **'disabled'** <br />'paused'<br />'stopped' |\n| sync_dedicated_threads | integer (range:&nbsp;0-10) (default:&nbsp;5); Number of dedicated Replica Of threads |\n| sync_sources | [{<br />  \"uid\": integer,<br />  \"uri\": string,<br />  \"compression\": integer,<br />  \"status\": string,<br />  \"rdb_transferred\": integer,<br />  \"rdb_size\": integer,<br />  \"last_update\": string,<br />  \"lag\": integer,<br />  \"last_error\": string<br />}, ...] (deprecated as of Redis Software v5.0.1, instead use replica_sources or crdt_sources) Remote endpoints of database to sync from. See the 'bdb -\\> replica_sources' section<br />**uid**: Numeric unique identification of this source<br />**uri**: Source Redis URI<br />**compression**: Compression level for the replication link<br />**status**: Sync status of this source<br />**rdb_transferred**: Number of bytes transferred from the source's RDB during the syncing phase<br />**rdb_size**: The source's RDB size to be transferred during the syncing phase<br />**last_update**: Time last update was received from the source<br />**lag**: Lag in millisec between source and destination (while synced)<br />**last_error**: Last error encountered when syncing from the source |\n| syncer_log_level | Minimum syncer log level to log. Only logs with this level or higher will be logged.<br />Values:<br />‘crit’<br />‘error’<br />‘warn’<br />**‘info’**<br />‘trace’<br />‘debug’ |\n| syncer_mode | The syncer for replication between database instances is either on a single node (centralized) or on each node that has a proxy according to the proxy policy (distributed). (read-only)<br />Values:<br />'distributed'<br />'centralized' |\n| tags | [{<br />  \"key\": string,<br />  \"value\": string<br />}, ...] Optional list of tag objects attached to the database. Each tag requires a key-value pair.<br />**key**: Represents the tag's meaning and must be unique among tags (pattern does not allow special characters &,\\<,>,\")<br />**value**: The tag's value.|\n| timeseries | [complex object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/bdb/timeseries); Configuration fields for timeseries. |\n| tls_mode | Require TLS-authenticated and encrypted connections to the database<br />Values:<br />'enabled'<br /> **'disabled'** <br />'replica_ssl' |\n| tracking_table_max_keys | integer; The client-side caching invalidation table size. 0 makes the cache unlimited. |\n| traffic_manually_disabled | boolean; Whether traffic was manually turned off using the stop_traffic API (read-only) |\n| type | Type of database<br />Values:<br />**'redis'** <br />'memcached' |\n| use_nodes | array of strings; Cluster node UIDs to use for database shards and bound endpoints |\n| use_selective_flush | boolean (default: true); If true, enable selective flush of destination shards |\n| version | string; Database compatibility version: full Redis/memcached version number, such as 6.0.6. This value can only change during database creation and database upgrades.|\n| wait_command | boolean (default:&nbsp;true); Supports Redis wait command (read-only) |"
    }
  ],
  "examples": []
}
